diff --git a/gcc/analyzer/exploded-graph.h b/gcc/analyzer/exploded-graph.h
index 1655a4ad878..3dc4f051994 100644
--- a/gcc/analyzer/exploded-graph.h
+++ b/gcc/analyzer/exploded-graph.h
@@ -28,10 +28,10 @@ namespace ana {
 /* Concrete implementation of region_model_context, wiring it up to the
    rest of the analysis engine.  */
 
-class impl_region_model2_context : public region_model2_context
+class impl_region_model_context : public region_model_context
 {
  public:
-  impl_region_model2_context (exploded_graph &eg,
+  impl_region_model_context (exploded_graph &eg,
 			     const exploded_node *enode_for_diag,
 
 			     /* TODO: should we be getting the ECs from the
@@ -42,31 +42,24 @@ class impl_region_model2_context : public region_model2_context
 			     const gimple *stmt,
 			     stmt_finder *stmt_finder = NULL);
 
-  impl_region_model2_context (program_state *state,
-			      const extrinsic_state &ext_state,
-			      logger *logger = NULL);
+  impl_region_model_context (program_state *state,
+			     const extrinsic_state &ext_state,
+			     logger *logger = NULL);
 
   void warn (pending_diagnostic *d) FINAL OVERRIDE;
-  void on_svalue2_leak (const svalue2 *) OVERRIDE;
-  void on_liveness_change (const hash_set<const svalue2 *> &live_svalues,
-			   const region_model2 *model) FINAL OVERRIDE;
+  void on_svalue_leak (const svalue *) OVERRIDE;
+  void on_liveness_change (const hash_set<const svalue *> &live_svalues,
+			   const region_model *model) FINAL OVERRIDE;
   logger *get_logger () FINAL OVERRIDE
   {
     return m_logger.get_logger ();
   }
   void on_state_leak (const state_machine &sm,
 		      int sm_idx,
-		      const svalue2 *sval,
+		      const svalue *sval,
 		      state_machine::state_t state);
-#if 0
-  void on_inherited_svalue (svalue_id parent_sid,
-			    svalue_id child_sid) FINAL OVERRIDE;
-
-  void on_cast (svalue_id src_sid,
-		svalue_id dst_sid) FINAL OVERRIDE;
-#endif
   void on_condition (tree lhs, enum tree_code op, tree rhs) FINAL OVERRIDE;
-  void on_unknown_change (const svalue2 *sval, bool is_mutable) FINAL OVERRIDE;
+  void on_unknown_change (const svalue *sval, bool is_mutable) FINAL OVERRIDE;
   void on_phi (const gphi *phi, tree rhs) FINAL OVERRIDE;
   void on_unexpected_tree_code (tree t,
 				const dump_location_t &loc) FINAL OVERRIDE;
@@ -233,10 +226,10 @@ class exploded_node : public dnode<eg_traits>
 		const superedge *succ,
 		program_point *next_point,
 		program_state *next_state) const;
-  void on_longjmp2 (exploded_graph &eg,
+  void on_longjmp (exploded_graph &eg,
 		    const gcall *call,
 		    program_state *new_state,
-		    region_model2_context *ctxt) const;
+		    region_model_context *ctxt) const;
 
   void detect_leaks (exploded_graph &eg) const;
 
@@ -307,7 +300,7 @@ class exploded_edge : public dedge<eg_traits>
     virtual void print (pretty_printer *pp) = 0;
 
     /* Hook for updating MODEL within exploded_path::feasible_p.  */
-    virtual void update_model2 (region_model2 *model,
+    virtual void update_model (region_model *model,
 				const exploded_edge &eedge) = 0;
 
     virtual void add_events_to_path (checker_path *emission_path,
@@ -356,7 +349,7 @@ public:
     pp_string (pp, "rewind");
   }
 
-  void update_model2 (region_model2 *model,
+  void update_model (region_model *model,
 		      const exploded_edge &eedge) FINAL OVERRIDE;
 
   void add_events_to_path (checker_path *emission_path,
@@ -741,7 +734,7 @@ public:
 
   const supergraph &get_supergraph () const { return m_sg; }
   const extrinsic_state &get_ext_state () const { return m_ext_state; }
-  engine2 *get_engine2 () const { return m_ext_state.get_engine2 (); }
+  engine *get_engine () const { return m_ext_state.get_engine (); }
   const state_purge_map *get_purge_map () const { return m_purge_map; }
   const analysis_plan &get_analysis_plan () const { return m_plan; }
 
@@ -872,8 +865,8 @@ public:
   void dump () const;
 
   bool feasible_p (logger *logger, feasibility_problem **out) const;
-  bool feasible2_p (logger *logger, feasibility_problem **out,
-		    engine2 *eng, const exploded_graph *eg) const;
+  bool feasible_p (logger *logger, feasibility_problem **out,
+		    engine *eng, const exploded_graph *eg) const;
 
   auto_vec<const exploded_edge *> m_edges;
 };
@@ -884,7 +877,7 @@ class feasibility_problem
 {
 public:
   feasibility_problem (unsigned eedge_idx,
-		       const region_model2 &model,
+		       const region_model &model,
 		       const exploded_edge &eedge,
 		       const gimple *last_stmt)
   : m_eedge_idx (eedge_idx), m_model (model), m_eedge (eedge),
@@ -898,12 +891,12 @@ public:
     m_last_stmt (last_stmt)
   {
     /* FIXME: eventually remove this in favor of porting fully to
-       region_model2.  */
+       region_model.  */
   }
 #endif
 
   unsigned m_eedge_idx;
-  region_model2 m_model;
+  region_model m_model;
   const exploded_edge &m_eedge;
   const gimple *m_last_stmt;
 };
